<?php
require_once "../../../maincore.php";
require_once THEMES."templates/header.php";
include INFUSIONS."catalog race_panel/infusion_db.php";

opentable('Tabela zespoowa.');
$sezony = "";
$result = dbquery("SELECT * FROM ".DB_SEZONY." ORDER BY sezon_name");
if(dbrows($result) > 0) { 
  $sel = "";
  $sezony .= "<option value='".FUSION_SELF."'>--</option>";
  while ($data = dbarray($result)) 
  {
    $sel = (isset($_GET['sezon_id']) && isnum($_GET['sezon_id']) && $_GET['sezon_id'] == $data['sezon_id'] ? 'selected="selected"' : "");
    $sezony .= "<option value='".FUSION_SELF."?sezon_id=".$data['sezon_id']."'$sel>".$data['sezon_name']."</option>\n";
  }
}

echo "
<table>
<tr>
	<td><select name='sezon_id' class='textbox' style='width:120px;' onchange='self.location.href = this.value'>".$sezony."</select></td>
</tr>
</table>";


if(isset($_GET['sezon_id']) && isnum($_GET['sezon_id']))
{
$result = dbquery("SELECT zespol_id, wynik_id, zespol_name, SUM(pkt) AS pkt, 
GROUP_CONCAT(CAST(wyscig_id as CHAR)) AS wyscigi_id,
GROUP_CONCAT(CAST(pkt as CHAR)) AS wyscig_pkt, GROUP_CONCAT(wyscig_name) AS wyscig_name
 FROM ".DB_WYNIKI." LEFT JOIN ".DB_ZESPOLY." USING(zespol_id) 
LEFT JOIN ".DB_WYSCIGI." USING(wyscig_id)
WHERE sesja_id=5 AND sezon_id='".$_GET['sezon_id']."' 
GROUP BY zespol_id ORDER BY pkt DESC");

$zespoly = array();
$wyscigi = array();
if(dbrows($result) > 0) 
{
  while ($data = dbarray($result))
  {
    $id = $data['wynik_id']; 
    $zespoly[$id] = array('zespol_id' => $data['zespol_id'], 'zespol_name' => $data['zespol_name'], 'pkt' => $data['pkt'], 'wyscig_name' => array());
    $wyscig_name  = explode(",", $data['wyscig_name']);
    $wyscig_pkt   = explode(",", $data['wyscig_pkt']);

    $wyscig_id    = explode(",", $data['wyscigi_id']);
    
    $zespoly[$id]['wyscigi'] = array();
    for ($i = 0;isset($wyscig_name[$i]);++$i) {
      if (isset($zespoly[$id]['wyscigi'][$wyscig_name[$i]])) {
        $zespoly[$id]['wyscigi'][$wyscig_name[$i]] += $wyscig_pkt[$i];
      } else {
        $zespoly[$id]['wyscigi'][$wyscig_name[$i]]  = $wyscig_pkt[$i];
      }
    }
    
    $wyscigi = array_merge($wyscigi, array_combine($wyscig_name, $wyscig_id));
  }
  $wyscigi = array_unique($wyscigi);
  ksort($wyscigi);
  foreach ($zespoly as $id => $dane) {
    foreach ($wyscigi as $wyscig_name => $wyscig_id) { 
      if (!isset($dane['wyscigi'][$wyscig_name])) {
        $zespoly[$id]['wyscigi'][$wyscig_name] = 0;
      }
    }
    ksort($zespoly[$id]['wyscigi']);
  }
}


$lp      = 1;
$colspan = count($wyscigi);
echo "<table  align='center' style='border: 1px solid black; border-collapse: collapse;' width='100%'>
<tr>
	<td rowspan='2' align='center' style='border: 1px solid black; border-collapse: collapse; padding: 5px;'><span  style='font-weight: bold;'>Pozycja</span></td>
	<td rowspan='2' align='center' style='border: 1px solid black; border-collapse: collapse; padding: 5px;'><span  style='font-weight: bold;'>Zespo</span></td>
	<td rowspan='2  align='center' style='border: 1px solid black; border-collapse: collapse; padding: 5px;'><span  style='font-weight: bold;'>Punkty</span></td> 
	<td colspan='" . $colspan . "' align='center' style='border: 1px solid black; border-collapse: collapse; padding: 5px;'><span  style='font-weight: bold;'>Wyscigi</span></td>
</tr>
<tr>";
foreach ($wyscigi AS $wyscig_name => $wyscig_id) { 
    echo "<td align='center' style='border: 1px solid black; border-collapse: collapse;  padding: 2px;'><a href='wyscigi.php?wys_id=".$wyscig_id."'>".$wyscig_name."</a></td>";    
}
echo "</tr>";

foreach ($zespoly AS $zespol){
    echo "<tr>
        <td align='center' style='border: 1px solid black; border-collapse: collapse; padding: 2px;'>".$lp."</td>
        <td align='center' style='border: 1px solid black; border-collapse: collapse; padding: 2px;'>".$zespol['zespol_name']."</td>
        <td align='center' style='border: 1px solid black; border-collapse: collapse; padding: 2px;'>".$zespol['pkt']."</td>"; 
        foreach ($zespol['wyscigi'] as $pkt) {
            echo "<td align='center' style='border: 1px solid black; border-collapse: collapse; padding: 2px;'>{$pkt}</td>";
        }

    echo "</tr>";
    $lp++;
}
echo "</table>";

}
closetable();
require_once THEMES."templates/footer.php";
?>
